.component-contact-form .form-grid {
  display: flex;
  flex-wrap: wrap;
}

.component-contact-form .input-filled.half-width {
  width: calc(50% - 8px);
}

.component-contact-form .input-filled:not(.half-width) {
  width: 100%;
}

.component-contact-form .input-filled.half-width.margin-right {
  margin-right: 16px;
}

.component-contact-form .input-filled.file-upload,
.component-contact-form .input-filled input {
  height: 48px;
  background-color: #ffffff;
  padding: 16px 24px;
  border-radius: 9999px;
  margin-bottom: 16px;
}

.component-contact-form .input-filled textarea {
  background-color: #ffffff;
  padding: 16px 24px;
  border-radius: 32px;
  margin-bottom: 16px;
}

.component-contact-form button {
  background-color: #0d84f2;
  color: #ffffff;
  padding: 16px 24px;
  height: 48px;
  font-size: 16px;
  font-weight: 600;
  line-height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  border-radius: 9999px;
  text-transform: none;
  margin-top: 32px;
}

.gradient-btn .component-contact-form button {
  position: relative;
  z-index: 1;
  border-radius: 12px !important;
  background: transparent;
  color: #ffffff;
  height: 48px;
  border: none;
}

.gradient-btn .component-contact-form button::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 12px;
  padding: 1.25px;
  background: linear-gradient(to right, #98d149, #03559a);
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: destination-out;
  mask-composite: exclude;
  z-index: -1;
}

.elementor-element.btn-outlined.color-gradient
  .pxl-button
  .btn::before
  .component-contact-form
  .form-acceptance
  input {
  width: 16px;
  height: 16px;
}

.component-contact-form .form-acceptance label {
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  color: #596980;
  display: flex;
  align-items: center;
  gap: 16px;
}

.component-contact-form .wpcf7-not-valid-tip {
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  margin-left: 16px;
  margin-top: -8px;
  margin-bottom: 8px;
}

.component-contact-form:has(.file-upload) button {
  margin-top: 48px;
}

.component-contact-form .input-filled.file-upload {
  height: 80px !important;
  display: flex;
  align-items: center;
  gap: 16px;
}

.component-contact-form .file-upload .pxl-file-upload-wrapper {
  height: fit-content;
  padding: 0;
}

.component-contact-form .file-upload .pxl-file-upload-input {
  display: none;
}

.component-contact-form .file-upload .file-upload-info {
  font-size: 12px;
  font-weight: 400;
  line-height: 15.96px;
  color: #596980;
  height: 16px;
}

.component-contact-form .file-upload .file-upload-label {
  background-color: transparent;
  border: 1px solid #07468d;
  color: #151515;
  padding: 16px 24px;
  height: 48px;
  font-size: 16px;
  font-weight: 600;
  line-height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  border-radius: 9999px;
  color: #07468d;
  max-width: 400px;
}

/*** LIGHT ***/

.light-form .component-contact-form .input-filled.file-upload,
.light-form .component-contact-form .input-filled input {
  background-color: #eff3f8;
}

.light-form .component-contact-form .input-filled textarea {
  background-color: #eff3f8;
}

.light-form .component-contact-form button {
  background-color: #07468d;
  color: #ffffff;
}
